# Get user activation strategy

Retrieve a user's activation strategy.
The activation strategy indicates whether the user needs to set a password.
Include the `userId` and `activationToken` in the request body. You can generate an activation token using the route under Users → Generate Activation Token.
The response returns a Boolean field `shouldSetPassword`. If `true`, the user needs to set a password. If `false`, the user does not need to set a password (for example, SSO users do not set passwords).

Endpoint: GET /resources/users/v1/activate/strategy
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Query parameters:

  - `userId` (string, required)

  - `token` (string, required)

## Response 200 fields (application/json):

  - `shouldSetPassword` (boolean, required)

